# Class RewriteCond.LexicalCondition

java.lang.Object
org.apache.catalina.valves.rewrite.RewriteCond.Condition
org.apache.catalina.valves.rewrite.RewriteCond.LexicalCondition

Enclosing class:
  `RewriteCond`

public static class RewriteCond.LexicalCondition extends RewriteCond.Condition
Lexical comparison condition.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`condition`
The condition value for comparison.
`int`
`type`
Comparison type.

## Constructor Summary

Constructors
Constructor
Description
`LexicalCondition()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(String value, Resolver resolver)`
Evaluate the condition.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

public int type
Comparison type.

    -1: <
     0: =
     1: >

### condition

public String condition
The condition value for comparison.

## Constructor Details

### LexicalCondition

public LexicalCondition()
Default constructor.

## Method Details

### evaluate

public boolean evaluate(String value, Resolver resolver)
Description copied from class: `RewriteCond.Condition`
Evaluate the condition.

Specified by:
  `evaluate` in class `RewriteCond.Condition`
Parameters:
  `value` - The value to evaluate
  `resolver` - The resolver
Returns:
  `true` if the condition is met